This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 460153 - perror should not errcnt across test files
perror should not errcnt across test files
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dejagnu (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Honza Horak
qe-baseos-tools
http://lists.gnu.org/archive/html/bug...
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-26 10:32 EDT by Jan Kratochvil
Modified: 2013-04-15 04:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-30 04:01:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix. (369 bytes, patch)
2008-08-26 10:32 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2008-08-26 10:32:40 EDT
Created attachment 315003 [details]
Fix.

Description of problem:
Some testcases run spuriously as UNRESOLVED.

Version-Release number of selected component (if applicable):
dejagnu-1.4.4-11.fc9.noarch

How reproducible:
Always.

Steps to Reproduce:
echo 'perror foo' >a.exp; echo 'pass bar' >b.exp; runtest a.exp b.exp; cat testrun.sum

Actual results:
...
Running target unix
Running ./a.exp ...
ERROR: foo
Running ./b.exp ...
UNRESOLVED: bar

                ===  Summary ===
...

Expected results:
...
Running target unix
Running ./a.exp ...
ERROR: foo
Running ./b.exp ...
PASS: bar

                ===  Summary ===
...

Additional info:
Comment 1 Fedora Update System 2008-09-02 04:49:49 EDT
dejagnu-1.4.4-12.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/dejagnu-1.4.4-12.fc9
Comment 2 Fedora Update System 2008-09-02 06:18:51 EDT
dejagnu-1.4.4-12.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/dejagnu-1.4.4-12.fc8
Comment 3 Fedora Update System 2008-09-10 03:00:59 EDT
dejagnu-1.4.4-12.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dejagnu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7325
Comment 4 Fedora Update System 2008-09-10 03:17:18 EDT
dejagnu-1.4.4-12.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dejagnu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7397
Comment 5 Fedora Update System 2008-10-03 18:29:43 EDT
dejagnu-1.4.4-12.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-10-03 18:31:08 EDT
dejagnu-1.4.4-12.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 RHEL Product and Program Management 2009-03-26 13:21:30 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 15 errata-xmlrpc 2011-03-30 04:01:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0399.html

Note You need to log in before you can comment on or make changes to this bug.